curl --request GET \
--url https://services.leadconnectorhq.com/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"totalSummary": {
"subTotal": 999,
"discount": 0,
"tax": 0
},
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {},
"remindersConfiguration": {
"reminderExecutionDetailsList": {},
"reminderSettings": {
"defaultEmailTemplateId": "dhwjqi2899012990w2u",
"reminders": [
{
"enabled": true,
"emailTemplate": "default",
"smsTemplate": "default",
"emailSubject": "Reminder",
"reminderId": "9333e45f-a27d-4659-90e5-76c5ef06d094",
"reminderName": "Special Reminder",
"reminderTime": "before",
"intervalType": "daily",
"maxReminders": 3,
"reminderInvoiceCondition": "invoice_sent",
"reminderNumber": 10,
"startTime": "9:00 AM",
"endTime": "5:00 PM",
"timezone": "businessTZ"
}
]
}
}
}API to get invoice by invoice id
curl --request GET \
--url https://services.leadconnectorhq.com/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"_id": "6578278e879ad2646715ba9c",
"status": "draft",
"liveMode": false,
"amountPaid": 0,
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "New Invoice",
"businessDetails": {
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
},
"invoiceNumber": "19",
"currency": "USD",
"contactDetails": {
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": {
"countryCode": "US"
}
},
"issueDate": "2023-01-01",
"dueDate": "2023-01-01",
"invoiceItems": [
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
],
"total": 999,
"title": "INVOICE",
"amountDue": 999,
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"totalSummary": {
"subTotal": 999,
"discount": 0,
"tax": 0
},
"discount": {
"type": "percentage",
"value": 0
},
"automaticTaxesEnabled": true,
"automaticTaxesCalculated": true,
"paymentSchedule": {},
"remindersConfiguration": {
"reminderExecutionDetailsList": {},
"reminderSettings": {
"defaultEmailTemplateId": "dhwjqi2899012990w2u",
"reminders": [
{
"enabled": true,
"emailTemplate": "default",
"smsTemplate": "default",
"emailSubject": "Reminder",
"reminderId": "9333e45f-a27d-4659-90e5-76c5ef06d094",
"reminderName": "Special Reminder",
"reminderTime": "before",
"intervalType": "daily",
"maxReminders": 3,
"reminderInvoiceCondition": "invoice_sent",
"reminderNumber": 10,
"startTime": "9:00 AM",
"endTime": "5:00 PM",
"timezone": "businessTZ"
}
]
}
}
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 Invoice Id
"6578278e879ad2646715ba9c"
location Id / company Id based on altType
"6578278e879ad2646715ba9c"
Alt Type
location "location"
Successful response
Invoice Id
"6578278e879ad2646715ba9c"
Invoice Status
draft, sent, payment_processing, paid, void, partially_paid "draft"
Live Mode
false
Amount Paid
0
Location Id or Agency Id
"6578278e879ad2646715ba9c"
location Name of the invoice
"New Invoice"
Business Details
{
"name": "Alex",
"address": {
"addressLine1": "9931 Beechwood",
"city": "St. Houston",
"state": "TX",
"countryCode": "USA",
"postalCode": "559-6993"
},
"phoneNo": "+1-214-559-6993",
"website": "www.example.com"
}Invoice Number
"19"
Currency
"USD"
Contact Details
{
"id": "c6tZZU0rJBf30ZXx9Gli",
"phoneNo": "+1-214-559-6993",
"email": "alex@example.com",
"customFields": [],
"name": "Alex",
"address": { "countryCode": "US" }
}Issue date in YYYY-MM-DD format
"2023-01-01"
Due date in YYYY-MM-DD format
"2023-01-01"
Invoice Items
[
{
"taxes": [],
"_id": "c6tZZU0rJBf30ZXx9Gli",
"productId": "c6tZZU0rJBf30ZXx9Gli",
"priceId": "c6tZZU0rJBf30ZXx9Gli",
"currency": "USD",
"name": "Macbook Pro",
"qty": 1,
"amount": 999
}
]Total Amount
999
Title
"INVOICE"
Total Amount Due
999
created at
"2023-12-12T09:27:42.355Z"
updated at
"2023-12-12T09:27:42.355Z"
Show child attributes
Discount
{ "type": "percentage", "value": 0 }Automatic taxes enabled for the Invoice
true
Is Automatic taxes calculated for the Invoice items
true
split invoice into payment schedule summing up to full invoice amount
Show child attributes
Was this page helpful?